Name:		clhep
Summary:	Class library for High Energy Physics
Version:	2.4.1.3
Release:	1%{?dist}

License:	GPLv2+
Source0:	https://cdn.yanqiyu.info/proj-clhep/dist1/clhep-%{version}.tgz
Patch0:     pkgconfig.patch
Patch1:			clhep-2.3.4.3-buildfixes.patch
URL:		http://proj-clhep.web.cern.ch/proj-clhep/
BuildRequires:	cmake
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
The CLHEP project was proposed by Leif Lönnblad at CHEP 92. It is intended
to be a set of HEP-specific foundation and utility classes such as random
generators, physics vectors, geometry and linear algebra

%package devel
Summary:	Development libraries and headers for clhep
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers and libraries for building applications against 
clhep.


%prep
%setup -q -n %{version}
%patch0 -p1
%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DCLHEP_BUILD_CXXSTD="-std=c++11" ../CLHEP
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
rm -f %{buildroot}%{_libdir}/*.a
chmod +x %{buildroot}%{_bindir}/*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CLHEP/COPYING CLHEP/COPYING.LESSER
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc CLHEP/ChangeLog CLHEP/COPYING CLHEP/COPYING.LESSER
%{_bindir}/*
%{_libdir}/CLHEP-%{version}
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.so


